net.dontdrinkandroot.utils.jobmanager

## Interface Job<T>

All Known Implementing Classes:
  AbstractJob

    public interface Job<T>

### Method Summary

Methods
`boolean` `failed()`
`Exception` `getException()`
`Expiry` `getExpiry()`
`String` `getId()`
`T` `getResult()`
`boolean` `isFinished()`

### Method Detail

#### isFinished

    boolean isFinished()

#### getResult

    T getResult()

#### getExpiry

    Expiry getExpiry()

#### getId

    String getId()

#### getException

    Exception getException()

#### failed

    boolean failed()